Package com.avaya.clientservices.calllog

## Interface CallLogServiceListener

-     public interface CallLogServiceListener

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onCallLogServiceCallLogItemsAdded​(CallLogService callLogService, java.util.List<CallLogItem> callLogItems)` | Callback to indicate which Call Log Items have been added.
    `void` | `onCallLogServiceCallLogItemsRemoved​(CallLogService callLogService, java.util.List<CallLogItem> callLogItems)` | Callback to report removal of call log items.
    `void` | `onCallLogServiceCallLogItemsResynchronized​(CallLogService callLogService, java.util.List<CallLogItem> callLogItems)` | Callback to indicate a successful resynchronization of call log items from the persistent data source.
    `void` | `onCallLogServiceCallLogItemsUpdated​(CallLogService callLogService, java.util.List<CallLogItem> callLogItems)` | Callback to indicate which Call Log Items have been updated.
    `void` | `onCallLogServiceCapabilitiesChanged​(CallLogService callLogService)` | Callback to indicate that call log service capabilities changed.
    `void` | `onCallLogServiceLoaded​(CallLogService callLogService, java.util.List<CallLogItem> callLogItems)` | Callback to indicate a set of call log items have been loaded into cache.
    `void` | `onCallLogServiceLoadFailed​(CallLogService callLogService, java.util.List<CallLogItem> callLogItems)` | Callback to indicate a fail of call log service load.

- - ### Method Detail

    - #### onCallLogServiceCallLogItemsAdded

          void onCallLogServiceCallLogItemsAdded​(CallLogService callLogService,
                                                 java.util.List<CallLogItem> callLogItems)

      Callback to indicate which Call Log Items have been added. This callback can be used to indicate addition of one or more Call Log Items
      Parameters:
        `callLogService` - The pointer to the call log service generating this event.
        `callLogItems` - One or more CallLogItems successfully added.

    - #### onCallLogServiceCallLogItemsResynchronized

          void onCallLogServiceCallLogItemsResynchronized​(CallLogService callLogService,
                                                          java.util.List<CallLogItem> callLogItems)

      Callback to indicate a successful resynchronization of call log items from the persistent data source.
      Parameters:
        `callLogService` - The pointer to the call log service generating this event.
        `callLogItems` - One or more CallLogItems successfully resynchronized.

    - #### onCallLogServiceCallLogItemsRemoved

          void onCallLogServiceCallLogItemsRemoved​(CallLogService callLogService,
                                                   java.util.List<CallLogItem> callLogItems)

      Callback to report removal of call log items.
      Parameters:
        `callLogService` - The pointer to the call log service generating this event.
        `callLogItems` - One or more CallLogItems successfully removed.

    - #### onCallLogServiceCallLogItemsUpdated

          void onCallLogServiceCallLogItemsUpdated​(CallLogService callLogService,
                                                   java.util.List<CallLogItem> callLogItems)

      Callback to indicate which Call Log Items have been updated. This callback can be used to indicate update of one or more Call Log Items
      Parameters:
        `callLogService` - The pointer to the call log service generating this event.
        `callLogItems` - One or more CallLogItems updated.

    - #### onCallLogServiceLoaded

          void onCallLogServiceLoaded​(CallLogService callLogService,
                                      java.util.List<CallLogItem> callLogItems)

      Callback to indicate a set of call log items have been loaded into cache.
      Parameters:
        `callLogService` - The pointer to the call log service generating this event.
        `callLogItems` - One or more CallLogItems loaded into cache.

    - #### onCallLogServiceLoadFailed

          void onCallLogServiceLoadFailed​(CallLogService callLogService,
                                          java.util.List<CallLogItem> callLogItems)

      Callback to indicate a fail of call log service load.
      Parameters:
        `callLogService` - The pointer to the call log service generating this event.
        `callLogItems` - One or more CallLogItems loaded into cache.

    - #### onCallLogServiceCapabilitiesChanged

          void onCallLogServiceCapabilitiesChanged​(CallLogService callLogService)

      Callback to indicate that call log service capabilities changed. Check the Call Log Service capabilities when the event is triggered.
      Parameters:
        `callLogService` - The pointer to the call log service generating this event.